> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mycreditapp.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the requests to upload additional financial documents

> Get requests to upload additional financial documents.
#### [Authorization scenarios](/content/developer-guide/introduction/authorization#scenarios)
| Guest | Host | Self |
|------:|:----:|:----:|
| ✅    | ❌   | ✅  |



## OpenAPI

````yaml /content/developer-guide/api-reference/openapi_v1.json get /organizations/{org_id}/documents/requests
openapi: 3.1.0
info:
  title: API - V1
  version: 1.0.0
servers:
  - url: https://api.mycreditapp.ai/v1-beta
security: []
paths:
  /organizations/{org_id}/documents/requests:
    get:
      tags:
        - Organization Document Requests
      summary: Get the requests to upload additional financial documents
      description: >-
        Get requests to upload additional financial documents.

        #### [Authorization
        scenarios](/content/developer-guide/introduction/authorization#scenarios)

        | Guest | Host | Self |

        |------:|:----:|:----:|

        | ✅    | ❌   | ✅  |
      operationId: >-
        get_financial_document_requests_organizations__org_id__documents_requests_get
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: >-
              Unique identifier of the
              [organization](https://docs.mycreditapp.ai/api-reference/organizations/get-organization)
            examples:
              - a3c9e8f1-2b4d-4c6e-8f0a-1b2c3d4e5f60
            title: Org Id
          description: >-
            Unique identifier of the
            [organization](https://docs.mycreditapp.ai/api-reference/organizations/get-organization)
        - name: search_field
          in: query
          required: false
          schema:
            const: comment
            type: string
            description: Field to search by
            default: comment
            title: Search Field
          description: Field to search by
        - name: search_text
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 255
                minLength: 1
              - type: 'null'
            description: Text to search in the specified search_field
            examples:
              - Quarterly report
            title: Search Text
          description: Text to search in the specified search_field
        - name: statuses
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                uniqueItems: true
                items:
                  $ref: '#/components/schemas/FinancialDocumentRequestStatus'
                minItems: 1
              - type: 'null'
            description: Set of document request statuses to filter by
            title: Statuses
          description: Set of document request statuses to filter by
        - name: order_by
          in: query
          required: false
          schema:
            enum:
              - status
              - comment
              - created_at
              - updated_at
              - expires_at
            type: string
            description: Field to order results by
            default: created_at
            title: Order By
          description: Field to order results by
        - name: order_dir
          in: query
          required: false
          schema:
            enum:
              - asc
              - desc
            type: string
            description: Direction of ordering
            default: asc
            title: Order Dir
          description: Direction of ordering
        - name: limit
          in: query
          required: true
          schema:
            type: integer
            maximum: 100
            exclusiveMinimum: 0
            description: Maximum number of results to return
            examples:
              - 10
              - 50
            title: Limit
          description: Maximum number of results to return
        - name: offset
          in: query
          required: true
          schema:
            type: integer
            minimum: 0
            description: Number of results to skip for pagination
            examples:
              - 0
              - 20
            title: Offset
          description: Number of results to skip for pagination
        - name: Requester-Organization-ID
          in: header
          required: true
          schema:
            type: string
            format: uuid
            description: |

              The unique identifier of the organization making the request.
              **This ID is used to authorize the requester within the system**.
            examples:
              - 054b4106-174b-46b0-97f8-86d8d7b6f0af
            title: Requester-Organization-Id
          description: |

            The unique identifier of the organization making the request.
            **This ID is used to authorize the requester within the system**.
        - name: Target-Organization-ID
          in: header
          required: true
          schema:
            type: string
            format: uuid
            description: >

              The unique identifier of the organization that is the target of
              the request.

              The `Target-Organization-ID` may match the
              `Requester-Organization-ID` if the requester accesses their own
              resources.

              If the `Target-Organization-ID` differs from the
              `Requester-Organization-ID`, the requester can access third-party
              resources **if the requester has a connection with the target
              organization and is authorized to perform such actions**.
            examples:
              - 123e4567-e89b-12d3-a456-426614174000
            title: Target-Organization-Id
          description: >

            The unique identifier of the organization that is the target of the
            request.

            The `Target-Organization-ID` may match the
            `Requester-Organization-ID` if the requester accesses their own
            resources.

            If the `Target-Organization-ID` differs from the
            `Requester-Organization-ID`, the requester can access third-party
            resources **if the requester has a connection with the target
            organization and is authorized to perform such actions**.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FinancialDocumentRequestList'
        '400':
          description: Bad Request
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Unsupported CRUD operation!
                    type: request
                    code: unsupported_crud_operation
              schema:
                $ref: '#/components/schemas/APIError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Token is required!
                    type: token
                    code: token_required
                  - loc: []
                    msg: The token has expired!
                    type: token
                    code: token_expired
                  - loc: []
                    msg: Invalid token!
                    type: token
                    code: invalid_token
        '403':
          description: Forbidden
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Access denied!
                    type: request
                    code: access_denied
              schema:
                $ref: '#/components/schemas/APIError'
        '404':
          description: Not Found
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Account not found!
                    type: request
                    code: account_not_found
                  - loc: []
                    msg: Organization not found!
                    type: request
                    code: organization_not_found
              schema:
                $ref: '#/components/schemas/APIError'
        '409':
          description: Conflict
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: >-
                      The account is in the process of being deleted! The
                      Account's email can only be reused after its data has been
                      completely deleted. The removal process may take up to 24
                      hours.
                    type: request
                    code: account_being_deleted
                  - loc: []
                    msg: >-
                      The organization is in the process of being deleted! The
                      removal process may take up to 24 hours.
                    type: request
                    code: organization_being_deleted
              schema:
                $ref: '#/components/schemas/APIError'
        '413':
          description: Request Entity Too Large
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: The request is too large!
                    type: request
                    code: request_too_large
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc:
                      - string
                      - 0
                    msg: string
                    type: string
                    code: validation_error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Error processing request, please try later!
                    type: try_later
                    code: internal_conflict_error
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Service is under maintenance, please try later!
                    type: maintanance
                    code: service_under_maintenance
      security:
        - Token: []
components:
  schemas:
    FinancialDocumentRequestStatus:
      type: string
      enum:
        - pending
        - completed
        - expired
      title: FinancialDocumentRequestStatus
    FinancialDocumentRequestList:
      properties:
        items:
          items:
            $ref: '#/components/schemas/RetrieveFinancialDocumentRequest'
          type: array
          title: Items
          description: List of the requests
        total_items:
          type: integer
          minimum: 0
          title: Total Items
          description: Total number of requests
          examples:
            - 10
            - 50
      type: object
      required:
        - items
        - total_items
      title: FinancialDocumentRequestList
    APIError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ErrorItem'
          type: array
          title: Detail
          description: >

            List of returned errors.

            **All unsuccessful error codes except code `422` can only contain 1
            element in the list**.
      type: object
      required:
        - detail
      title: APIError
    RetrieveFinancialDocumentRequest:
      properties:
        comment:
          anyOf:
            - type: string
              maxLength: 1000
            - type: 'null'
          title: Comment
          description: Optional comment for the document request
          examples:
            - Example text
            - null
        id:
          type: string
          format: uuid
          title: Id
          description: Unique identifier of the request
          examples:
            - a3c9e8f1-2b4d-4c6e-8f0a-1b2c3d4e5f60
        status:
          $ref: '#/components/schemas/FinancialDocumentRequestStatus'
          description: Status of the request
        host_organization_id:
          type: string
          format: uuid
          title: Host Organization Id
          description: >-
            Unique identifier of the
            [organization](https://docs.mycreditapp.ai/api-reference/organizations/get-organization)
          examples:
            - a3c9e8f1-2b4d-4c6e-8f0a-1b2c3d4e5f60
        guest_organization_id:
          type: string
          format: uuid
          title: Guest Organization Id
          description: >-
            Unique identifier of the
            [organization](https://docs.mycreditapp.ai/api-reference/organizations/get-organization)
          examples:
            - a3c9e8f1-2b4d-4c6e-8f0a-1b2c3d4e5f60
        follow_up:
          type: boolean
          title: Follow Up
          description: Flag indicating whether the follow up request was already sent
        expires_at:
          type: string
          format: date-time
          title: Expires At
          description: Timestamp when the document request record expires
          examples:
            - '2025-09-23T16:07:35.675578'
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp when the document request record was created
          examples:
            - '2025-09-23T16:07:35.675578'
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Timestamp when the document request record was last updated
          examples:
            - '2025-09-23T16:07:35.675578'
      type: object
      required:
        - id
        - status
        - host_organization_id
        - guest_organization_id
        - follow_up
        - expires_at
        - created_at
        - updated_at
      title: RetrieveFinancialDocumentRequest
    ErrorItem:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Loc
          description: |

            Shows the dynamic location of the current error.
            If an empty array is returned, the error is static.
          examples:
            - - body
              - date_field
              - 0
            - - header
              - Authorization
        msg:
          type: string
          title: Msg
          description: |

            A human-readable message providing more details about the error.
          examples:
            - Token is required!
            - Invalid token!
        type:
          type: string
          title: Type
          description: >

            A string indicating the type of error.

            **The list is not fixed, so it's necessary to pay attention to the
            possible type for a specific error**.
          examples:
            - token
            - request
            - try_later
        code:
          type: string
          title: Code
          description: >

            Unique text error code identifying the error.

            **The list is not fixed, so it's necessary to pay attention to the
            possible code for a specific error**.
          examples:
            - token_required
            - invalid_token
            - access_denied
      type: object
      required:
        - loc
        - msg
        - type
        - code
      title: ErrorItem
  securitySchemes:
    Token:
      type: http
      description: >-
        [Bearer
        authentication](/content/developer-guide/introduction/authentication)
        using a JWT token. Provide a valid access token. Authorization header
        format: `Authorization: Bearer <token>`.
      scheme: bearer

````